/***********************************************************
*                       pC/SFS 1.12b                       *
*            a FREE - small Serial File System             *
*                                                          *
*           by Frank Goetze  -  www.embedded-os.de         *
************************************************************
*                  SFS_Port_I2C_HWxxxx.h                   *
*                  HWxxxx I2C xRAM PORT                    *
***********************************************************/
#ifndef _SFSPort_I2C_HWxxx_
 #define _SFSPort_I2C_HWxxx_

 #include "../pC_SFS.h"

/*
***********************************************************
*                I2C memory access helpers
***********************************************************
*/
#define I2C_MEM_CC_ADDRESS  0xA0                   // "1010xxxx" control-code
#define I2C_MEM_CS_ADDRESS  0x00                   // all chip-select pins to GND

#ifdef SFS_MEM_24AA1025
 #define I2C_MEM_BLOCK      ((addr >> 13) & 0x8)   // special case ..|Block|A1|A0|..
#else
 #define I2C_MEM_BLOCK      ((addr >> 15) & 0xE)
#endif

/*
***********************************************************
*                   SFS- HW-PORT PROTOTYPES
***********************************************************
*/
U08  _sfsPort_readBytes(U32 addr, U08 *data, SFS_LONG len);
U08  _sfsPort_writeBytes(U32 addr, U08 *data, SFS_LONG len);
U08  _sfsPort_fillBytes(U32 addr, U08 value, SFS_LONG len);
#if (SFS_MEM_HW_PAGESIZE > 1)
 void _sfsPort_writeReady(void);
#endif
void _sfsPort_Init(void);

/************************* END ****************************/
#endif
